#!/bin/bash

mkdir -p /var/lib/iqnergy/
FIRSTBOOT_FLAG="/var/lib/iqnergy/firstboot_done.flag"

# returns 0 if this boot is first and 1 if it is not
is_firstboot()
{
    [[ ! -f $FIRSTBOOT_FLAG ]]
}

is_firstboot || exit 0

/usr/bin/iqnergy/installer/configure_mosquitto.sh --handle_error

touch $FIRSTBOOT_FLAG
